[mythtv-users] Build Errors on Mandriva 2009.1

Jared McIntyre jmcintyre at dfsoftware.com
Tue Jun 16 17:45:05 UTC 2009

On Jun 16, 2009, at 11:31 AM, Michael T. Dean wrote:

> On 06/16/2009 01:22 PM, Jared McIntyre wrote:
>> I am trying to build 21 fixes on a fresh install of Mandriva 2009.1.
>> I'm receiving several errors when building the upnp lib that look  
>> like
>> I'm missing some headers. Unfortunately it looks like the build is
>> trying to use qt4, which is probably the problem. Anyone have an idea
>> on how to get around this? qt3-common is installed on the sustem, but
>> I couldn't find any specific devel packages.
>> Here are the errors:
> ...
>> -I/usr/lib/qt4/include/QtGui -I/usr/lib/qt4/include
>> -I/usr/local/include -I/usr/include
> MythTV 0.21-fixes uses Qt3.
> Mike

I mentioned in the initial post that the qt4 install was apparently  
being built against instead of the qt3 install on the syestem. I need  
to know if there is a way to modify the configuration to use qt3. I  
can't uninstall Qt4, as 2009.1 is kde 4.2 based. So I need to change  
the default configuration.


More information about the mythtv-users mailing list